<?php

require_once('../lib-common.php');
require_once($_CONF['path_system'] . 'classes/search.class.php');

// $display = COM_siteHeader(); 
// The above is the original line. It causes mycal search results to
// display unwraped by GL 1.3.9. So I changed it to echo below - Sam Stone

echo COM_siteHeader();

Class sitesearch extends Search {

    function sitecalSearch() {

        // Do searches
        $this->story_results = $this->_searchStories();
        $this->comment_results = $this->_searchComments();
        $this->link_results = $this->_searchLinks();
        $this->event_results = $this->_searchEvents();

        // Have plugins do their searches
        list($nrows_plugins, $total_plugins, $result_plugins) = PLG_doSearch($this->_query, $this->_dateStart, $this->_dateEnd, $this->_topic, $this->_type, $this->_author);
        
        // Add the core GL object search results to plugin results
        $nrows_plugins = $nrows_plugins + $this->story_results->num_searchresults;
        $nrows_plugins = $nrows_plugins + $this->comment_results->num_searchresults;
        $nrows_plugins = $nrows_plugins + $this->link_results->num_searchresults;
        $nrows_plugins = $nrows_plugins + $this->event_results->num_searchresults;
        
        $total_plugins = $total_plugins + $this->story_results->num_itemssearched;
        $total_plugins = $total_plugins + $this->comment_results->num_itemssearched;
        $total_plugins = $total_plugins + $this->link_results->num_itemssearched;
        $total_plugins = $total_plugins + $this->event_results->num_itemssearched;
        
        // Move GL core objects to front of array
        array_unshift($result_plugins, $this->story_results, $this->comment_results, $this->link_results, $this->event_results);
        
        // Format results
        if ($nrows_plugins == 0) {
             redirect_header("../index.php","No Articles, Comments or Links posted for this date");
             exit;
        } else {
            $retval = $this->_formatResults($nrows_plugins, $total_plugins, $result_plugins, $searchtime);
        }
        
        return $retval;
    }
}


function redirect_header($url, $message=""){
    define("_IFNOTRELOAD","If the page does not automatically reload, please click <a href=%s>here</a>");
    $time=4;
    $display  = "<html><head>\n";
    $display .= "<meta http-equiv='Content-Type' content='text/html;' />\n";
    $display .= "<meta http-equiv='Refresh' content='$time; url=$url' />\n";
    $display .= "</head><body><div id='content'>\n";
    $display .= COM_startBlock();
    $display .= "<center>";
    if ( $message!="" ) {
        $display .= "<br><p><h4>".$message."</h4>\n";
    }
    $display .= "<br /><b>\n";
    $display .= sprintf(_IFNOTRELOAD,$url);
    $display .= "\n";
    $display .= "<p></center></div>\n";
    $display .= COM_endBlock();
    $display .= COM_siteFooter(false);
    echo $display;
}

$calSearchObj = new sitesearch;
$calSearchObj->Search();
echo $calSearchObj->sitecalSearch();
?>